Show / Hide Table of Contents

# Class RadioGroup

Radio group shows a group of labels, only one of those can be selected at a given time

##### Inheritance

System.Object
Responder
View
RadioGroup

##### Inherited Members

Responder.CanFocus
View.Add(View)
View.Add(View[])
View.AddCh(Int32, Int32, Int32)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.ClearNeedsDisplay()
View.ColorScheme
View.DrawFrame(Rect, Boolean)
View.DrawHotString(String, Boolean, ColorScheme)
View.DrawHotString(String, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.GetEnumerator()
View.HasFocus
View.Id
View.LayoutSubviews()
View.MostFocused
View.Move(Int32, Int32)
View.ProcessColdKey(KeyEvent)
View.Remove(View)
View.RemoveAll()
View.ScreenToView(Int32, Int32)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public class RadioGroup : Terminal.View

### Constructors

#### RadioGroup(Rect, String[], Int32)

Initializes a new instance of the RadioGroup class setting up the initial set of radio labels and the item that should be selected.

##### Declaration

    public RadioGroup (Terminal.Rect rect, string[] radioLabels, int selected = 0);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | rect | Boundaries for the radio group.
System.String[] | radioLabels | Radio labels, the strings can contain hotkeys using an undermine before the letter.
System.Int32 | selected | The item to be selected, the value is clamped to the number of items.

#### RadioGroup(Int32, Int32, String[], Int32)

Initializes a new instance of the RadioGroup class setting up the initial set of radio labels and the item that should be selected, the view frame is computed from the provided radioLabels.

##### Declaration

    public RadioGroup (int x, int y, string[] radioLabels, int selected = 0);

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | x | The x coordinate.
System.Int32 | y | The y coordinate.
System.String[] | radioLabels | Radio labels, the strings can contain hotkeys using an undermine before the letter.
System.Int32 | selected | The item to be selected, the value is clamped to the number of items.

### Fields

#### SelectionChanged

##### Declaration

    public Action<int> SelectionChanged;

##### Field Value

Type | Description
--- | ---
System.Action<System.Int32> | To be added.

### Properties

#### RadioLabels

The radio labels to display

##### Declaration

    public string[] RadioLabels { get; set; }

##### Property Value

Type | Description
--- | ---
System.String[] | The radio labels.

#### Selected

The currently selected item from the list of radio labels

##### Declaration

    public int Selected { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 | The selected.

### Methods

#### MouseEvent(MouseEvent)

##### Declaration

    public override bool MouseEvent (Terminal.MouseEvent me);

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | me | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### PositionCursor()

##### Declaration

    public override void PositionCursor ();

#### ProcessHotKey(KeyEvent)

##### Declaration

    public override bool ProcessHotKey (Terminal.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### ProcessKey(KeyEvent)

##### Declaration

    public override bool ProcessKey (Terminal.KeyEvent kb);

##### Parameters

Type | Name | Description
--- | --- | ---
KeyEvent | kb | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### Redraw(Rect)

##### Declaration

    public override void Redraw (Terminal.Rect region);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | region | To be added.